CRAN Package Check Results for Package rosr

Last updated on 2019-07-16 07:51:02 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.0.8 3.36 31.75 35.11 OK
r-devel-linux-x86_64-debian-gcc 0.0.8 3.16 26.14 29.30 OK
r-devel-linux-x86_64-fedora-clang 0.0.8 44.11 NOTE
r-devel-linux-x86_64-fedora-gcc 0.0.8 42.03 NOTE
r-devel-windows-ix86+x86_64 0.0.8 12.00 65.00 77.00 OK
r-patched-linux-x86_64 0.0.8 3.77 32.06 35.83 OK
r-patched-solaris-x86 0.0.8 55.80 ERROR
r-release-linux-x86_64 0.0.8 3.85 32.28 36.13 OK
r-release-windows-ix86+x86_64 0.0.7 11.00 68.00 79.00 OK
r-release-osx-x86_64 0.0.8 ERROR
r-oldrel-windows-ix86+x86_64 0.0.8 6.00 48.00 54.00 OK
r-oldrel-osx-x86_64 0.0.8 ERROR

Check Details

Version: 0.0.8
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘bookdown’ ‘rstudioapi’ ‘tinytex’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64

Version: 0.0.8
Check: examples
Result: ERROR
    Running examples in ‘rosr-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: create_eq
    > ### Title: Create a demo equation sheet
    > ### Aliases: create_eq
    >
    > ### ** Examples
    >
    > create_eq(tempdir())
    Error: pandoc version 1.12.3 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
    Execution halted
Flavors: r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64